RESTinio

Public Member Functions | Static Public Member Functions | List of all members
restinio::http_field_parsers::impl::is_token_char_predicate_t Struct Reference

A predicate for symbol_producer_template that checks that a symbol can be used inside a token. More...

`#include <basics.hpp>`

## Public Member Functions
RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Static Public Member Functions
static RESTINIO_NODISCARD constexpr bool | is_token_char (const char ch) noexcept

## Detailed Description

A predicate for symbol_producer_template that checks that a symbol can be used inside a token.

Definition at line 436 of file basics.hpp.

## Member Function Documentation

## ◆ is_token_char()

static RESTINIO_NODISCARD constexpr bool restinio::http_field_parsers::impl::is_token_char_predicate_t::is_token_char | ( | const char | ch | ) |
| inline static constexpr noexcept

Definition at line 440 of file basics.hpp.

## ◆ operator()()

RESTINIO_NODISCARD bool restinio::http_field_parsers::impl::is_token_char_predicate_t::operator() | ( | const char | actual | ) | const
| inline noexcept

Definition at line 462 of file basics.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp